AddCSLuaFile()

local VehicleName = "[P] Mercedes Sprinter (RUS)"

local EMV = {}

local R = "RED"
local W = "WHITE"
local B = "BLUE"

EMV.Siren = 52
EMV.Skin = 8
EMV.Color = Color(255,255,255)

EMV.BodyGroups = {
	{ 0, 0 }, -- Body
	{ 1, 0 }, -- Boot
	{ 2, 0 }, -- Step
	{ 3, 1 }, -- Towbar
	{ 4, 0 }, -- Trim
	{ 5, 0 }, -- Licence
	{ 6, 0 }, -- Screen_centre
	{ 7, 0 }, -- Screen_satnav
	{ 8, 0 }, -- Wheels
	{ 9, 0 }, -- Lightbar
	{ 10, 0 }, -- Grilllghts
	{ 11, 1 }, -- Sidewindow
	{ 12, 1 }, -- rearwindow
	{ 13, 0 }, -- clamped1
	{ 14, 0 }, -- clamped2
	{ 15, 0 }, -- clamped3
}

EMV.Props = {
	{
		Model = "models/tdmcars/emergency/equipment/code3_mx7000.mdl",
		Scale = 1,
		Pos = Vector( 0, 17, 106 ),
		Ang = Angle( 0, 90, 0),
	},
}

EMV.Meta = {
		rotator = {
		AngleOffset = "R",
		Scale = 4,
		W = 6,
		H = 6,
		Sprite = "sprites/emv/circular_src",
		Speed = 6,
		VisRadius = 1
	},
	rotator_opp = {
		AngleOffset = "R",
		Scale = 4,
		W = 6,
		H = 6,
		Sprite = "sprites/emv/circular_src",
		Speed = -10,
		VisRadius = 1
	},
	square = {
		AngleOffset = -90,
		Scale = 2,
		W = 6.3,
		H = 3,
		Sprite = "sprites/emv/square",
		Speed = 2,
		VisRadius = 1
	},
	square_opp = {
		AngleOffset = -90,
		Scale = 2,
		W = 6.3,
		H = 3,
		Sprite = "sprites/emv/square",
		Speed = -2,
		VisRadius = 1
	},
	square2 = {
		AngleOffset = -90,
		Scale = 2,
		W = 3.6,
		H = 2,
		Sprite = "sprites/emv/square",
		Speed = 2,
		VisRadius = 1
	},
	square2_opp = {
		AngleOffset = -90,
		Scale = 2,
		W = 3.6,
		H = 2,
		Sprite = "sprites/emv/square",
		Speed = -2,
		VisRadius = 1
	},
}

EMV.Positions = {
	 
	 [1] = { Vector( 23, 16, 113.3 ), Angle( 0, 0, 0 ), "rotator" },	
	 [2] = { Vector( -23, 16, 113.3 ), Angle( 0, 0, 0 ), "rotator_opp" },
	 
	 [3] = { Vector( 12.3, 19.4, 113 ), Angle( 0, 0, 0 ), "square" },	
	 [4] = { Vector( -12.3, 19.4, 113 ), Angle( 0, 0, 0 ), "square_opp" },
	 
	 [5] = { Vector( 12.3, 14, 113 ), Angle( 0, 180, 0 ), "square" },	
	 [6] = { Vector( -12.3, 14, 113 ), Angle( 0, 180, 0 ), "square_opp" },
	 		
	 [7] = { Vector( 14.5, 14.1, 110.3 ), Angle( 0, 180, 0 ), "square2" },	
	 [8] = { Vector( -14.5, 14.1, 110.3 ), Angle( 0, 180, 0 ), "square2_opp" },
	 
	 [9] = { Vector( -23.6, 16, 113 ), Angle( 0, 0, 0 ), "rotator" },	
	 [10] = { Vector( 23.6, 16, 113 ), Angle( 0, 0, 0 ), "rotator_opp" },
	 
	 [11] = { Vector( 23.6, 16, 109.5 ), Angle( 0, 0, 0 ), "rotator" },	
	 [12] = { Vector( -23.6, 16, 109.5 ), Angle( 0, 0, 0 ), "rotator_opp" },
	 	 
}

EMV.Sections = {
	["lightbar_rotators"] = {
		{ {1,R}, {2,B}, {9,B}, {10,R}, {11,R}, {12,B}, },
	},
	["square"] = {
		{ {3,R}, {5,R}, },
	},
	["square_opp"] = {
		{ {4,B}, {6,B}, },
	},
	["square2"] = {
		{ {7,R}, },
	},
	["square2_opp"] = {
		{ {8,B}, },
	},
}

EMV.Patterns = {
	["headlights"] = {
		["code3"] = {
			1
		},
	},
	["reverse"] = {
		["code3"] = {
			1
		},
	},
	["tail"] = {
		["code3"] = {
			1
		},
	},
	["lightbar_rotators"] = {
		["code1"] = {
			1
		},
		["code2"] = {
			1
		},
		["code3"] = {
			1
		},
	},
	["square"] = {
		["code1"] = {
			0
		},
		["code2"] = {
			1, 0, 1
		},
		["code3"] = {
			1, 0, 0, 2, 2, 2, 0, 0, 1
		},
	},
	["square_opp"] = {
		["code1"] = {
			0
		},
		["code2"] = {
			0, 1, 0
		},
		["code3"] = {
			1, 0, 0, 1, 1, 1, 0, 0, 1
		},
	},
	["square2"] = {
		["code1"] = {
			0
		},
		["code2"] = {
			1, 0, 1
		},
		["code3"] = {
			1, 0, 0, 2, 2, 2, 0, 0, 1
		},
	},
	["square2_opp"] = {
		["code1"] = {
			0
		},
		["code2"] = {
			0, 1, 0
		},
		["code3"] = {
			1, 0, 0, 0, 1, 0, 0, 0, 1
		},
	},
}

EMV.Sequences = {
	Sequences = {
		{ Name = "CODE 1", Stage = "M1", Components = {["lightbar_rotators"] = "code1",}, Disconnect = {} },
		{ Name = "CODE 2", Stage = "M2", Components = {["lightbar_rotators"] = "code2", ["square"] = "code2", ["square_opp"] = "code2", ["square2"] = "code3", ["square2_opp"] = "code2",}, Disconnect = {} },
		{ Name = "CODE 3", Stage = "M3", Components = {["lightbar_rotators"] = "code3", ["square"] = "code3", ["square_opp"] = "code3", ["square2"] = "code3", ["square2_opp"] = "code3",}, Disconnect = {} }
	},
	Traffic = {
		{ Name = "LEFT", Stage = "L", Components = {}, Disconnect = {} },
		{ Name = "DIVERGE", Stage = "D", Components = {}, Disconnect = {} },
		{ Name = "RIGHT", Stage = "R", Components = {}, Disconnect = {} }
	}
}

local V = {
	Name = VehicleName,
	Class = "prop_vehicle_jeep",
	Category = "Toki's Russian Modification",
	Author = "|eX| Tokimune",
	Model = "models/lonewolfie/merc_sprinter_swb.mdl",
	KeyValues = { vehiclescript = "scripts/vehicles/LWCars/merc_sprinter_swb.txt" },
	IsEMV = true,
	EMV = EMV,
	HasPhoton = true,
	Photon = "PHOTON_INHERIT"
}
list.Set( "Vehicles", VehicleName, V )

if EMVU then EMVU:OverwriteIndex( VehicleName, EMV ) end
