AddCSLuaFile()

local VehicleName = "[P] Tahoe (RUS)"

local EMV = {}

local R = "RED"
local W = "WHITE"

EMV.Siren = 52
EMV.Skin = 11
EMV.Color = Color(255,255,255)

EMV.BodyGroups = {
	{ 0, 0 }, -- Body
	{ 1, 1 }, -- ALPR
	{ 2, 1 }, -- Antenne
	{ 3, 2 }, -- Sidepanels
	{ 4, 0 }, -- Bullbar
	{ 5, 0 }, -- Lightbar
	{ 6, 1 }, -- Equiptment
	{ 7, 1 }, -- Grill
	{ 8, 1 }, -- Lamp
	{ 9, 0 }, -- Lights_frontwindow
	{ 10, 0 }, -- Lights_grill
	{ 11, 0 }, -- Lights_rearbumper
	{ 12, 0 }, -- Lights_rearwindow
	{ 13, 1 }, -- Partition
	{ 14, 0 }, -- Roofrack
	{ 15, 0 }, -- Runningboards
	{ 16, 0 }, -- Snorkle
	{ 17, 1 }, -- Wheels
	{ 18, 1 }, -- Windows
	{ 19, 0 }, -- clamped1
	{ 20, 0 }, -- clamped2
}

EMV.Auto = {
	{
		ID = "Federal Signal Legend",
		Scale = 1.1,
		Pos = Vector( 0, 0, 88.6 ),
		Ang = Angle( 0, 90, 0 )
	}
}


EMV.Meta = {
	headlights = {
		AngleOffset = -90,
		W = 3.9,
		H = 3.9,
		Sprite = "sprites/emv/light_circle",
		Scale = 3
	},
}

EMV.Positions = {

	 [1] = { Vector(-28.2, -112, 57.9), Angle(0,166,4), "rear_1" },
	 [2] = { Vector(28.2, -112, 57.9), Angle(0,194,4), "rear_2" },
	 
	 [3] = { Vector(-36.7, 97.6, 45.7), Angle(0,0,0), "headlights" },
	 [4] = { Vector(36.7, 97.6, 45.7), Angle(0,0,0), "headlights" },	
}

EMV.Sections = {
	["rear"] = {
		{{1,R},{2,R},},
		{{1,R},},
		{{2,R},},
	},
	["headlights"] = {
		{ { 3, W, { 12, .1, 6 } }, { 4, W, { 12, .1, 0 } }, },
		{ { 3, W, { 18, .1, 10 } }, { 4, W, { 18, .1, 0 } }, }
	},
}

EMV.Patterns = {
	["rear"] = {
		["alle"] = {
			0
		}	
	},
	["headlights"] = {
		["code2"] = {
			0
		},
		["code3"] = {
			0
		}
	},
}

EMV.Sequences = {
	Sequences = {
		{ Name = "CODE 1", Stage = "M1", Components = {}, Disconnect = {} },
		{ Name = "CODE 2", Stage = "M2", Components = {["rear"] = "code2", ["headlights"] = "code2",}, Disconnect = {} },
		{ Name = "CODE 3", Stage = "M3", Components = {["rear"] = "code3", ["headlights"] = "code3",}, Disconnect = {} }
	},
	Traffic = {
		{ Name = "LEFT", Stage = "L", Components = {}, Disconnect = {} },
		{ Name = "DIVERGE", Stage = "D", Components = {}, Disconnect = {} },
		{ Name = "RIGHT", Stage = "R", Components = {}, Disconnect = {} }
	}
}

local V = {
	Name = VehicleName,
	Class = "prop_vehicle_jeep",
	Category = "Toki's Russian Modification",
	Author = "Tokimune",
	Model = "models/lonewolfie/chev_tahoe.mdl",
	KeyValues = { vehiclescript = "scripts/vehicles/lwcars/chev_tahoe.txt" },
	IsEMV = true,
	EMV = EMV,
	HasPhoton = true,
	Photon = "PHOTON_INHERIT"
}
list.Set( "Vehicles", VehicleName, V )

if EMVU then EMVU:OverwriteIndex( VehicleName, EMV ) end
